IPV6(3)

NAME
packet.internet.ipv6 - IPv6 module

DESCRIPTION

Decode IP version 6 layer. Extension headers are not supported.

CLASSES

  class IPv6(packet.internet.ipv4.IPv4)
IPv6 object

Usage:
    from packet.internet.ipv6 import IPv6

    x = IPv6(pktt)

Object definition:

IPv6(
    version       = int,
    traffic_class = int,
    flow_label    = int,
    total_size    = int,
    protocol      = int,
    hop_limit     = int,
    src           = IPv6Addr(),
    dst           = IPv6Addr(),
    psize         = int,     # payload data size
    data          = string,  # raw data of payload if protocol
                             # is not supported
)

Methods defined here:
---------------------

__init__(self, pktt)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

SEE ALSO
baseobj(3), packet.internet.ipv4(3), packet.internet.ipv6addr(3), packet.transport.tcp(3), packet.transport.udp(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)